package com.guadou.cs_cptservices.ui

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.R
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.cs_cptservices.databinding.ActivityNotificationBinding
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils


/**
 * 公共的通知列表页面
 */
class NotificationActivity : YYBaseVDBActivity<EmptyViewModel, ActivityNotificationBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, NotificationActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_notification)
    }

    override fun startObserve() {

    }

    override fun init(savedInstanceState: Bundle?) {

    }


}